JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtraLookAndFeelBaseClasses::AudioDeviceSelectorComponentMethods Struct Referenceabstract
juce_gui_basics » lookandfeel

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_LookAndFeel.h>`

Inheritance diagram for ExtraLookAndFeelBaseClasses::AudioDeviceSelectorComponentMethods:

## Public Member Functions
virtual | ~AudioDeviceSelectorComponentMethods ()=default
virtual void | drawLevelMeter (Graphics &, int width, int height, float level)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~AudioDeviceSelectorComponentMethods()

virtual ExtraLookAndFeelBaseClasses::AudioDeviceSelectorComponentMethods::~AudioDeviceSelectorComponentMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawLevelMeter()

virtual void ExtraLookAndFeelBaseClasses::AudioDeviceSelectorComponentMethods::drawLevelMeter | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | float | level )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_LookAndFeel.h